Returns the absolute time that this watcher is supposed to trigger next

- « EvPeriodic::again

- EvPeriodic::__construct »

- PHP Manual
- EvPeriodic
- Returns the absolute time that this watcher is supposed to trigger next

# EvPeriodic::at

(PECL ev >= 0.2.0)

EvPeriodic::at — Returns the absolute time that this watcher is supposed to trigger next

### Description

public EvPeriodic::at(): float

When the watcher is active, returns the absolute time that this watcher is supposed to trigger next. This is not the same as the offset argument to EvPeriodic::set() or EvPeriodic::__construct() , but indeed works even in interval mode.

### Parameters

This function has no parameters.

### Return Values

Returns the absolute time this watcher is supposed to trigger next in seconds.